package be.iminds.ilabt.jfed.groovy_dsl;

import be.iminds.ilabt.jfed.groovy_dsl.events.DSLEvent;

/**
 * User: twalcari
 * Date: 2/5/2016
 * Time: 10:56
 */
public interface DSLEventReader {

    void close() throws DSLStreamException;

    boolean hasNext() throws DSLStreamException;

    DSLEvent nextEvent() throws DSLStreamException;

    DSLEvent peek() throws DSLStreamException;
}
